notbugIf you buy from Amazon USA, please support us by using this link.
Port details
rubygem-metasploit_data_models Database layer for Metasploit
3.0.8,2 security on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Maintainer: antoine@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2013-06-14 20:40:22
Last Update: 2019-03-24 15:14:19
SVN Revision: 496760
Also Listed In: rubygems
License: BSD3CLAUSE
MetasploitDataModels exists to do several key things:
- Allow code sharing between Metasploit Framework (MSF) and the commercial
versions of Metasploit (Community, Express, Pro -- usually referred to
collectively as "Pro")
- Give developers a lightweight entry point to MSF's backend for use in
developing tools that gather data intended for later use with Metasploit
(e.g. specialized scanners)
- Make it easy to keep commercial stuff private while increasing the
functionality of the open-source tools we provide to the community

WWW: https://github.com/rapid7/metasploit_data_models
SVNWeb : Homepage : PortsMon
    Pseudo-pkg-plist information, but much better, from make generate-plist
    Expand this list (4 items)
  1. bin/mdm_console
  2. /usr/local/share/licenses/rubygem-metasploit_data_models-3.0.8,2/catalog.mk
  3. /usr/local/share/licenses/rubygem-metasploit_data_models-3.0.8,2/LICENSE
  4. /usr/local/share/licenses/rubygem-metasploit_data_models-3.0.8,2/BSD3CLAUSE
  5. Collapse this list.

Dependency line: rubygem-metasploit_data_models>0:security/rubygem-metasploit_data_models


To install the port: cd /usr/ports/security/rubygem-metasploit_data_models/ && make install clean
To add the package: pkg install rubygem-metasploit_data_models

PKGNAME: rubygem-metasploit_data_models

There is no flavor information for this port.

distinfo:

TIMESTAMP = 1553413259
SHA256 (rubygem/metasploit_data_models-3.0.8.gem) = 410c0d3ac693f2858f4592af8675b227325c655f62afd7cfa6b1038cdb5e9c1d
SIZE (rubygem/metasploit_data_models-3.0.8.gem) = 183296


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. ruby24 : lang/ruby24
  2. gem24 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-activerecord4>=4.2.6 : databases/rubygem-activerecord4
  2. rubygem-activesupport4>=4.2.6 : devel/rubygem-activesupport4
  3. rubygem-metasploit-concern>=0 : security/rubygem-metasploit-concern
  4. rubygem-metasploit-model>=0 : security/rubygem-metasploit-model
  5. rubygem-railties4>=4.2.6 : www/rubygem-railties4
  6. rubygem-recog>=2.0 : security/rubygem-recog
  7. rubygem-arel-helpers>=0 : databases/rubygem-arel-helpers
  8. rubygem-postgres_ext>=0 : databases/rubygem-postgres_ext
  9. rubygem-pg0>=0 : databases/rubygem-pg0
  10. ruby24 : lang/ruby24
  11. gem24 : devel/ruby-gems
Patch dependencies:
  1. ruby24 : lang/ruby24
  2. gem24 : devel/ruby-gems
Extract dependencies:
  1. ruby24 : lang/ruby24

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
     No options to configure

USES:
gem

Master Sites:
  1. https://rubygems.org/downloads/

Number of commits found: 31

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
24 Mar 2019 15:14:19
Original commit files touched by this commit  3.0.8,2
Revision:496760
antoine search for other commits by this committer
Update to 3.0.8
10 Feb 2019 14:34:49
Original commit files touched by this commit  3.0.5,2
Revision:492610
antoine search for other commits by this committer
Update to 3.0.5
12 Dec 2018 01:35:36
Original commit files touched by this commit  2.0.16_2,2
Revision:487272
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
defined via Mk/bsd.default-versions.mk which has moved from GCC 7.4 t
GCC 8.2 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, as a double check, everything INDEX-11 showed depending on lang/gcc7.

PR:		231590
29 Jul 2018 15:17:36
Original commit files touched by this commit  2.0.16_1,2
Revision:475661
antoine search for other commits by this committer
Metasploit database requires rubygem-pg version 0.2x

PR:		228722
Reported and tested by:	Marco Beishuizen
MFH:		2018Q3
04 Feb 2018 08:08:26
Original commit files touched by this commit  2.0.16,2
Revision:460872
antoine search for other commits by this committer
Update to 2.0.16
13 Jul 2017 18:43:43
Original commit files touched by this commit  2.0.15,2
Revision:445707
antoine search for other commits by this committer
Update to 2.0.15
29 Jan 2017 16:45:51
Original commit files touched by this commit  2.0.14,2
Revision:432781
antoine search for other commits by this committer
Update to 2.0.14
07 Jan 2017 13:55:48
Original commit files touched by this commit  2.0.13,2
Revision:430787
antoine search for other commits by this committer
Update to 2.0.13
10 Dec 2016 13:07:45
Original commit files touched by this commit  2.0.10,2
Revision:428288
antoine search for other commits by this committer
Update to 2.0.10
27 Nov 2016 17:50:31
Original commit files touched by this commit  2.0.9,2
Revision:427265
antoine search for other commits by this committer
Update to 2.0.9
30 Oct 2016 07:15:37
Original commit files touched by this commit  2.0.6,2
Revision:424932
antoine search for other commits by this committer
Update to 2.0.6
23 Oct 2016 08:07:39
Original commit files touched by this commit  2.0.5,2
Revision:424497
antoine search for other commits by this committer
Update to 2.0.5
09 Oct 2016 08:40:20
Original commit files touched by this commit  2.0.4,2
Revision:423574
antoine search for other commits by this committer
Update to 2.0.4
15 May 2016 07:23:53
Original commit files touched by this commit  2.0.0,2
Revision:415220
antoine search for other commits by this committer
Update to 2.0.0
27 Apr 2016 21:57:32
Original commit files touched by this commit  0.24.0,2
Revision:414136
swills search for other commits by this committer
Convert USES=gem:autoplist to USES=gem since autoplist is default
27 Apr 2016 16:36:42
Original commit files touched by this commit  0.24.0,2
Revision:414118
swills search for other commits by this committer
create USES=gem and update rubygem- ports to use it

Note that for now ports still have to have USE_RUBY=yes to use USES=gem

PR:		209041
Differential Revision:	https://reviews.freebsd.org/D6070
01 Apr 2016 14:25:18
Original commit files touched by this commit  0.24.0,2
Revision:412349
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories r, s, t, and u.

With hat:	portmgr
Sponsored by:	Absolight
15 Nov 2015 03:04:44
Original commit files touched by this commit  0.24.0,2
Revision:401672
sunpoet search for other commits by this committer
- Add NO_ARCH
23 May 2015 16:32:23
Original commit files touched by this commit  0.24.0,2
Revision:387176
antoine search for other commits by this committer
Update security/metasploit to 4.11.2
08 Mar 2015 15:38:18
Original commit files touched by this commit  0.22.6,2
Revision:380775
antoine search for other commits by this committer
Update:
- metasploit to 4.11.1
- rubygem-metasploit-credential to 0.13.17
- rubygem-metasploit_data_models to 0.22.6
- rubygem-meterpreter_bins to 0.0.13
- rubygem-recog to 1.0.7
05 Dec 2014 11:02:50
Original commit files touched by this commit  0.21.2,2
Revision:374007
antoine search for other commits by this committer
Update security/metasploit to 4.10.2
Add new ports needed by this version:
security/rubygem-metasploit-concern
security/rubygem-metasploit-credential
security/rubygem-metasploit-model
security/rubygem-meterpreter_bins
security/rubygem-recog
27 Sep 2014 21:17:17
Original commit files touched by this commit  0.17.0,2
Revision:369428
antoine search for other commits by this committer
Move back to version 0.17.0 and take maintainership, new versions do not
work with the version of metasploit currently in the tree
27 Sep 2014 21:01:25
Original commit files touched by this commit  0.20.1,1
Revision:369426
swills search for other commits by this committer
security/rubygem-metasploit_data_models: update to 0.20.1

PR:		193818
Submitted by:	JR Aquino <tanawts@gmail.com> (maintainer)
13 Aug 2014 15:44:12
Original commit files touched by this commit  0.17.0,1
Revision:364792
antoine search for other commits by this committer
Revert r359770:
- it's broken, missing depends
- it doesn't work with metasploit 4.9.3 in the tree

Pointy hat:	committer and maintainer
29 Jun 2014 14:54:03
Original commit files touched by this commit  0.17.5
Revision:359770
rakuco search for other commits by this committer
Update to 0.17.5.

PR:		191466
Submitted by:	tanawts@gmail.com (maintainer)
11 May 2014 08:24:41
Original commit files touched by this commit  0.17.0
Revision:353655
antoine search for other commits by this committer
Update metasploit to 4.9.2 and rubygem-metasploit_data_models to 0.17.0

PR:		ports/189046
Approved by:	maintainer timeout (2 weeks)
24 Jan 2014 14:53:04
Original commit files touched by this commit  0.16.4
Revision:340904
miwi search for other commits by this committer
- Stage Safe
19 Dec 2013 16:53:08
Original commit files touched by this commit  0.16.4
Revision:336936
swills search for other commits by this committer
- Update to 0.16.4

PR:		ports/180540
Submitted by:	myself
Approved by:	maintainer timeout (tanawts@gmail.com, >5 months)
20 Sep 2013 22:55:26
Original commit files touched by this commit  0.16.1
Revision:327769
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
security)
12 Jul 2013 19:48:55
Original commit files touched by this commit  0.16.1
Revision:322864
swills search for other commits by this committer
- Update to 0.16.1

PR:		ports/179875
Approved by:	Jr Aquino <tanawts@gmail.com> (maintainer)
14 Jun 2013 20:40:10
Original commit files touched by this commit  0.15.1
Revision:320962
antoine search for other commits by this committer
- Update metasploit to 4.6.2
- Update the list of scripts
- SVN is discontinued
- new DB option for database support

PR:		ports/179159
Approved by:	maintainer timeout (15 days)

Number of commits found: 31

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
libXdmcp*Mar 22
gitlab-ceMar 21
wordpressMar 21
wordpressMar 21
wordpressMar 21
wordpressMar 21
wordpressMar 21
giteaMar 20
gitlab-ceMar 20
firefoxMar 19
firefox-esrMar 19
libxulMar 19
linux-firefoxMar 19
linux-seamonkeyMar 19
linux-thunderbirdMar 19

11 vulnerabilities affecting 150 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-03-22 04:09:33


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 36332
Broken 115
Deprecated 144
Ignore 335
Forbidden 3
Restricted 163
No CDROM 74
Vulnerable 35
Expired 13
Set to expire 119
Interactive 0
new 24 hours 8
new 48 hours13
new 7 days39
new fortnight74
new month152

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.